package com.ycwl.basic.storage.entity;

import lombok.Data;

import java.util.Date;

@Data
public class StorageFileObject {
    private String path;
    private String name;
    private Long size;
    private Object rawObject;
    private Date modifyTime;

    public String getFullPath() {
        return path + "/" + name;
    }

    public void setFullPath(String path) {
        this.path = path.substring(0, path.lastIndexOf("/"));
        this.name = path.substring(path.lastIndexOf("/") + 1);
    }
}
